Subject: 29.0.50; nativecomp "make check" leaves temporary files

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 May 2022 14:27:57 +0200

There's been several bug reports about this, and some parts have been
fixed, and some haven't, so I thought it was tidier to just start a new
bug report.

"make check" leaves a number of .eln files in /tmp:

-rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d74636f2d66_comp_tests_tco_f_03Mlfro.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d7265742d747970652d737065632d66_comp_tests_ret_type_spec_f_0P3KMwW.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d7265742d747970652d737065632d66_comp_tests_ret_type_spec_f_0HCgau3.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d7265742d747970652d737065632d66_comp_tests_ret_type_spec_f_07UB8oG.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d7265742d747970652d737065632d66_comp_tests_ret_type_spec_f_0hxFMLB.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d7265742d747970652d737065632d66_comp_tests_ret_type_spec_f_0tCXbUJ.eln

[70 lines snipped...]

  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 comp-lambda-2uPyz5.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d66772d70726f702d312d66_comp_tests_fw_prop_1_f_0uYk3VG.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732f6672656566756e2d66_comp_testsfreefun_f_0mrF1Df.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 freefn-636f6d702d74657374732d667265652d66756e2d66_comp_tests_free_fun_f_0BjsR9Y.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 comp-lambda-TrdvE6.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 comp-lambda-ZcSh1m.eln
  -rw-------  1 larsi larsi    6 May 24 14:17 #emacs-test-7eiJqR-buffer#
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 comp-lambda-iKU6Yw.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 comp-lambda-fWiQc3.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 comp-lambda-h08oGX.eln
  -rwxr-xr-x  1 larsi larsi  17K May 24 14:17 comp-lambda-Hia2Rq.eln

I've tried to read the code to determine just what's responsible for
deleting these files, but I haven't been successful, and why that's not
called when saying "make check".  Andrea?

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.16.0)
 of 2022-05-17 built on xo
Repository revision: 803041e01474f2a522170c9f388068e8460be2ae
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Debian GNU/Linux bookworm/sid

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no